// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////

#include "SkillTreeEditorPrivatePCH.h"
#include "SkillFactory.h"
#include "SkillObject.h"
#include "AssetRegistryModule.h"
#include "PackageTools.h"

#define LOCTEXT_NAMESPACE "SkillTree"

USkillFactory::USkillFactory( const FObjectInitializer& ObjectInitializer )
	: Super( ObjectInitializer )
{
	bCreateNew = true;
	bEditAfterNew = true;
	SupportedClass = USkillObject::StaticClass();
}

UObject* USkillFactory::FactoryCreateNew( UClass* a_class, UObject* a_parent, FName a_name, EObjectFlags a_flags, UObject* a_context, FFeedbackContext* a_warn )
{
	USkillObject* newSkill = NewObject<USkillObject>( a_parent, a_class, a_name, a_flags | RF_Transactional );

	return newSkill;
}

#undef LOCTEXT_NAMESPACE